--- a/gdb/linux-nat.c
+++ b/gdb/linux-nat.c
@@ -17,6 +17,7 @@
    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.  */
 
+#include "stopcode.h"
 #include "defs.h"
 #include "inferior.h"
 #include "infrun.h"
@@ -72,6 +73,10 @@
 #define SPUFS_MAGIC 0x23c9b64e
 #endif
 
+#ifndef __SIGRTMIN
+#define __SIGRTMIN SIGRTMIN
+#endif
+
 /* This comment documents high-level logic of this file.
 
 Waiting for events in sync mode
--- /dev/null
+++ b/gdb/stopcode.h
@@ -0,0 +1,4 @@
+#ifndef W_STOPCODE
+#define W_STOPCODE(sig) ((sig) << 8 | 0x7f)
+#endif
+
--- a/gdb/nat/ppc-linux.h
+++ b/gdb/nat/ppc-linux.h
@@ -18,7 +18,10 @@
 #ifndef NAT_PPC_LINUX_H
 #define NAT_PPC_LINUX_H
 
+#define pt_regs __pt_regs
 #include <asm/ptrace.h>
+#undef pt_regs
+
 #include <asm/cputable.h>
 
 /* This sometimes isn't defined.  */
--- a/gdb/gdbserver/linux-ppc-low.c
+++ b/gdb/gdbserver/linux-ppc-low.c
@@ -23,7 +23,9 @@
 #include "elf/common.h"
 #include <sys/uio.h>
 #include <elf.h>
+#define pt_regs __pt_regs
 #include <asm/ptrace.h>
+#undef pt_regs
 
 #include "arch/ppc-linux-common.h"
 #include "arch/ppc-linux-tdesc.h"
